libnvme(2)

NAME
struct nvme_id_ctrl_nvm - I/O Command Set Specific Identify Controller data structure

SYNOPSIS
struct nvme_id_ctrl_nvm {
__u8 vsl;
__u8 wzsl;
__u8 wusl;
__u8 dmrl;
__le32 dmrsl;
__le64 dmsl;
__u8 kpiocap;
__u8 wzdsl;
__le16 aocs;
__le32 ver;
__u8 lbamqf;
__u8 rsvd25[4071];
};

Members

vsl Verify Size Limit

wzsl
    Write Zeroes Size Limit

wusl
    Write Uncorrectable Size Limit

dmrl
    Dataset Management Ranges Limit

dmrsl
    Dataset Management Range Size Limit

dmsl
    Dataset Management Size Limit

kpiocap
    Key Per I/O Capabilities

wzdsl
    Write Zeroes With Deallocate Size Limit

aocs
    Admin Optional Command Support

ver Version

lbamqf
    LBA Migration Queue Format

rsvd25
    Reserved